export interface LoginData {
  userid: string;
  password: string;
}

export interface LoginResponse {
  user: FG.User;
  session: FG.Session;
  permissions: FG.Permission[];
}

export interface CurrentUserResponse extends FG.User {
  permissions: FG.Permission[];
}

export enum DisplayNameMode {
  FIRSTNAME = 'firstname',
  LASTNAME = 'lastname',
  FULLNAME = 'fullname',
  DISPLAYNAME = 'display_name',
  FIRSTNAME_LASTNAME = 'firstname_lastname',
  LASTNAME_FIRSTNAME = 'lastname_firstname',
}
